System.register(['src/components/halo/lively-halo-item.js'], function (_export, _context) {
  "use strict";

  var HaloItem;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js = _recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js || {};
      Object.defineProperty(_recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js, 'HaloItem', {
        get() {
          return HaloItem;
        },

        set(thisIsVererySecretVariableName) {
          HaloItem = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      class HaloVivideOpenScriptEditorItem extends HaloItem {
        // #TODO: drag ScriptEditor out of this halo item

        async onClick(evt) {
          const inspectTarget = window.that;
          this.hideHalo();
          const scriptEditor = await inspectTarget.createScriptEditor();
          scriptEditor.initialFocus();
        }

        updateTarget(view) {
          this._view = view;
        }
      }

      _export('default', HaloVivideOpenScriptEditorItem);

      Object.defineProperty(_recorder_._src_components_halo_lively_halo_vivide_open_script_editor_item_js, 'HaloVivideOpenScriptEditorItem', {
        get() {
          return HaloVivideOpenScriptEditorItem;
        },

        set(thisIsVererySecretVariableName) {
          _export('default', HaloVivideOpenScriptEditorItem = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});